Subject: Re: Found a "bug" in git 1.9.0 but can't reproduce it without copyrighted source code.

From: Trần Ngọc Quân <[email-masked]>
Date: Fri, 28 Mar 2014 08:04:20 +0700

On 28/03/2014 07:45, yun sheng wrote:
> Hi,
>
> I found git sometimes can't detect working trees changes. But I can
> only reproduce this problem on several specific files, unfortunately
> these files are copyrighted source files so I can't send them to you.
> Is there anything I can do to narrow the problem and finally reproduce
> the bug without these commercial files?
>
> I posted a question on stackoverflow which shows the process.
>
> http://stackoverflow.com/questions/22684163/cant-reproduce-a-bug-in-git-without-a-specific-file
>
> Actually what I'm doing is:
>
> git init
> " copy the first version of file into the working tree.
> git add .
> git commit -m 'init'
> " copy and replace the file into working tree.
> git status
>
> and nothing is reported by git.
>
> these two files have the same timestamp, the same size, bug slightly
> different contents. These files were generated by `git difftool -d` I
> just manually copied them out from the temp directory just for future
> review.
Don't worry about copyright, please run sha1sum in order to make sure
the content is changed!
>
> Git I'm using is msysgit 1.9.0 on windows 7
Is it Ok on Linux OS, on other git version?
> Best regards,
> Sheng Yun
> --

-- 
Trần Ngọc Quân.